## Best practices

* `clone` a repository, do not download the `.zip` file.
* `pull` before `push`
* Work on your **own** branch (in your own fork)
* Do **not push** to `master` or `develop`, but **submit a PR**
* Get your code **reviewed** by your peers (submit a PR!)
* Do **not** combine `git` commands
   ```bash
   $ git commit -am "myMessage" # do not do this
   ```
* Stage only 1 file at once using
   ```bash
   $ git add myFile.txt
   ```


* Commit **only a few files** at once (after multiple separate `git add` commands)
* Always **sync your fork** before starting to work
   ```bash
   $ git remote -v # verify to have the right remote set
   $ git fetch upstream
   $ git merge upstream/master
   $ git push origin master # do not do git push (!)
   ```
* `Push` often - avoid conflicts

<br><br>
Remember: **A `push` a day keeps conflicts away!**
