## The 5 essential commands

<br>
**Yes**, you only need 5 commands!

<br>
`pull, status, add, commit, push`

<br>
or in other words (remember these!):
```bash
$ git pull
$ git status
$ git add myFile.txt # example
$ git commit -m "myMessage" # example
$ git push
```


## Pull the latest version of an existing repository

First, browse to the cloned directory (`git clone [...]`):
```bash
$ cd practice
```

Then, pull the latest revision:
```bash
$ git pull
# Already up to date
```

Verify its `status` with:
```bash
$ git status
```


## Modify a file

Modify and rename `addTwoNumbers.m` in the folder `firstCommit`

<br>
Open the file `addTwoNumbers.m` in the folder `firstCommit` using the `Atom` editor (or any other editor).

<br>
Then, uncomment the line
```Matlab
% c = a + b
```

<br>
Save and rename the file by adding your name
```bash
$ mv firstCommit/addTwoNumbers.m firstCommit/addTwoNumbers_myName.m
```


## Add your file to the stage

First, check the repository status
```bash
$ git status
# uncommitted changes (displayed in red)
```

<div class="fragment">
<br>
Now, add the file (bring it on stage)
```bash
$ git add firstCommit/addTwoNumbers_myName.m
# returns the same as before, generally in green (means staged)
```

<div class="fragment">
<br>
**ADVANCED**: see your changes in the terminal
```bash
$ git diff
```
exit with `:q`


## Add a commit message

```bash
$ git commit -m "Uncommented line for adding 2 numbers"
$ git status
```

<br>
You can pull, even at this stage, new possible changes
```bash
$ git pull
```


## Push your file to the repository

```bash
$ git push
```

<div class="fragment">
<br>
**ADVANCED**: see the log of all the commits (and your last one) in the terminal
```bash
$ git log
```
exit with `:q`


## Do it yourself

* Modify and rename `secondCommit/multiplyTwoNumbers.m`
* Push the file `secondCommit/multiplyTwoNumbers_myName.m`

<div class="fragment">
<br>
Commands:
```bash
$ git pull
$ git diff # optional
$ git add secondCommit/multiplyTwoNumbers_myName.m
$ git commit -m "Uncommented line for multiplying 2 numbers"
$ git status
$ git push
$ git log # optional
```
