## Forks

You **fork** when you want to work on a public repository or a protected repository.

<br><br>
Remember:

- A **fork** is your own **copy** of a repository.
- A **fork** can have multiple **branches**.
- A **fork** is not a **branch**, but can have multiple **branches**.


## Fork via interface

Browse to the original repository and click on the button `Fork`

![Fork the repo](https://help.github.com/assets/images/help/repository/fork_button.jpg)


## Clone your fork

Clone first
```bash
$ git clone https://git-r3lab.uni.lu/myGroup/myRepo.git forkMyRepo
```

<br>
then, you can change to the directory
```bash
$ cd forkMyRepo
```


## Add the address of the original repository

Add the `upstream` address (original/protected repository)
```bash
$ git remote add upstream https://git-r3lab.uni.lu/origGroup/origRepo.git
```

<br>
You can then check whether the remote address is set correctly
```bash
$ git remote -v
```
<!-- <img src="img/remote-0-master.png" class="as-is" /> //-->
<!-- <img src="img/remote-1-remote.png" class="as-is" /> //-->
<!--- <img src="img/remote-2-push.png" class="as-is" /> //-->


## Synchronize your fork

```bash
$ git checkout master
$ git status
```

<div class="fragment">
<br>
Fetch the changes from upstream (similar to pull)
```bash      
$ git fetch upstream
```

<div class="fragment">
<br>
Merge the retrieved changes
```bash
$ git merge upstream/master
```

<div class="fragment">
<br>
Push the changes to your own fork
```bash
$ git push origin master
```


## Pull/Merge Requests

**Good news!**

Same procedure as with merging a branch...
