## Installation

<img src="img/github_app.png" class="as-is" height="200" />

**Linux (Ubuntu)**

```bash
$ sudo apt-get install git-all
```
<br>
**macOS**

Install *Xcode Command Line Tools*

<br>
**Windows**

Follow instructions on *[git-for-windows.github.io](https://git-for-windows.github.io)*.

**or:** `MobaXTerm` with `git` plugin: *[mobaxterm.mobatek.net](https://mobaxterm.mobatek.net)*.

<small>More on *[git-scm.com/book/en/v2/Getting-Started-Installing-Git](https://git-scm.com/book/en/v2/Getting-Started-Installing-Git)*</small>


## How to start?

**Linux (Ubuntu)** and **macOS**

Start the terminal (or any other shell)

<br>
**Windows**

Start `GUI Bash` or `MobaXTerm`.


## How to configure `git`?

```bash
$ git config --global user.name "Firstname Lastname"
$ git config --global user.email "first.last@uni.lu"
```


## Does it work?

```bash
$ git --version
# git version 2.10.0
```


## Test the configuration

Test whether your username and email have been registered

```bash
$ git config --list
```

<br>
This should list the configuration with `user.name` and `user.email`.


## I need `The COBRAToolbox`?

Simply `clone` the repository (i.e., retrieve a copy)
```bash
$ git clone https://github.com/opencobra/cobratoolbox.git cobratoolbox
```

<br>
Any other rudimentary method such as

*'I simply download the `.zip` un unzip it - works like a charm!'*

shall **be avoided**!


## How do I generally `clone` a repository?

You can clone any other repository with
```bash
$ git clone https://github.com/userName/myRepo.git myRepo
```

<div class="fragment">
<br>
Clone the training repository with
```bash
$ git clone https://git-r3lab.uni.lu/git-training/practice.git practice
```
Note: You may be prompted to enter your credentials.
